---
docker_kernel_min_version: '0'

# https://docs.docker.com/engine/installation/linux/centos/#install-from-a-package
# https://download.docker.com/linux/centos/<centos_version>>/x86_64/stable/Packages/
# or do 'yum --showduplicates list docker-engine'
docker_versioned_pkg:
  'latest': docker-ce
  '17.03': docker-ce-17.03.3.ce-1.el7
  '17.09': docker-ce-17.09.1.ce-1.el7.centos
  '17.12': docker-ce-17.12.1.ce-1.el7.centos
  '18.03': docker-ce-18.03.1.ce-1.el7.centos
  '18.06': docker-ce-18.06.3.ce-3.el7
  '18.09': docker-ce-18.09.9-3.el7
  '19.03': docker-ce-19.03.13-3.el7
  'stable': docker-ce-19.03.13-3.el7
  'edge': docker-ce-19.03.13-3.el7

docker_cli_versioned_pkg:
  'latest': docker-ce-cli
  '18.09': docker-ce-cli-18.09.9-3.el7
  '19.03': docker-ce-cli-19.03.13-3.el7

docker_selinux_versioned_pkg:
  'latest': docker-ce-selinux-17.03.3.ce-1.el7
  '17.03': docker-ce-selinux-17.03.3.ce-1.el7
  'stable': docker-ce-selinux-17.03.3.ce-1.el7
  'edge': docker-ce-selinux-17.03.3.ce-1.el7


docker_pkgs_use_docker_ce:
  - name: "{{ docker_selinux_versioned_pkg[docker_selinux_version | string] }}"
    yum_conf: "{{ docker_yum_conf }}"
  - name: "{{ docker_versioned_pkg[docker_version | string] }}"
    yum_conf: "{{ docker_yum_conf }}"

docker_pkgs:
  - name: "{{ containerd_versioned_pkg[containerd_version | string] }}"
    yum_conf: "{{ docker_yum_conf }}"
  - name: "{{ docker_cli_versioned_pkg[docker_cli_version | string] }}"
    yum_conf: "{{ docker_yum_conf }}"
  - name: "{{ docker_versioned_pkg[docker_version | string] }}"
    yum_conf: "{{ docker_yum_conf }}"

docker_package_info:
  pkg_mgr: yum
  pkgs: |-
    {%- if docker_version != "latest" and docker_version is version('17.04', '<') -%}
    {{ docker_pkgs_use_docker_ce }}
    {%- else -%}
    {{ docker_pkgs }}
    {%- endif %}

docker_repo_key_info:
  pkg_key: ''
  repo_keys: []

docker_repo_info:
  pkg_repo: ''
  repos: []
